All Classes Namespaces Functions Variables Groups Pages
Qore::AbstractQuantifiedBidirectionalIterator Class Reference

This class defines an abstract interface for bidirectional iterators where the size of the object is known in advance. More...

Inheritance diagram for Qore::AbstractQuantifiedBidirectionalIterator:
[legend]

## Additional Inherited Members

Public Member Functions inherited from Qore::AbstractBidirectionalIterator
abstract bool | prev ()
| Moves the current position to the previous element; returns False if there are no more elements.
Public Member Functions inherited from Qore::AbstractQuantifiedIterator
abstract bool | empty ()
| returns True if the object to iterate is empty; False if not
abstract bool | first ()
| returns True if on the first element
abstract bool | last ()
| returns True if on the last element

## Detailed Description

This class defines an abstract interface for bidirectional iterators where the size of the object is known in advance.

This class does not define any new methods but rather just combines two abstract interfaces into one.